Package com.google.android.exoplayer2.util

## Interface Log.Logger

- Enclosing class:
    Log

      public static interface Log.Logger

  Interface for a logger that can output messages with a tag.

  Use `DEFAULT` to output to `Log`.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static Log.Logger` | `DEFAULT` | The default instance logging to `Log`.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `d​(String tag, String message)` | Logs a debug-level message.
    `void` | `e​(String tag, String message)` | Logs an error-level message.
    `void` | `i​(String tag, String message)` | Logs an information-level message.
    `void` | `w​(String tag, String message)` | Logs a warning-level message.

- - ### Field Detail

    - #### DEFAULT

          static final Log.Logger DEFAULT

      The default instance logging to `Log`.

  - ### Method Detail

    - #### d

          void d​(String tag,
                 String message)

      Logs a debug-level message.
      Parameters:
        `tag` - The tag of the message.
        `message` - The message.

    - #### i

          void i​(String tag,
                 String message)

      Logs an information-level message.
      Parameters:
        `tag` - The tag of the message.
        `message` - The message.

    - #### w

          void w​(String tag,
                 String message)

      Logs a warning-level message.
      Parameters:
        `tag` - The tag of the message.
        `message` - The message.

    - #### e

          void e​(String tag,
                 String message)

      Logs an error-level message.
      Parameters:
        `tag` - The tag of the message.
        `message` - The message.